#include <bv4243.h>
#include <Wire.h>
// Use this sketch to tune the touch pads, see the data
// sheet for more details

// 7 bit adddress is used
BV4243 ui(0x3c);

void setup()
{
  Serial.begin(9600);
}

// Prints a string of 8 average values
void printAvg()
{
uint16_t v[9];
char b[24];
  ui.avg(v); // get 8 values
  Serial.print("\nAvg: ");
  for(char j=0;j<8;j++)  {
    sprintf(b," %4d",v[j]);
    Serial.print(b);
  }
}

// Prints a string of 8 delta values
void printDelta()
{
uint16_t v[9];
char b[24];
  ui.delta(v); // get 8 values
  Serial.print("\nDlt: ");
  for(char j=0;j<8;j++)  {
    sprintf(b," %4d",v[j]);
    Serial.print(b);
  }
}

void loop()
{
uint8_t k;  
char b[24];
  Serial.print("\nTuning\n");
  while(1) {
    Serial.print("\n");
    printAvg();
    printDelta();
    k = ui.scan();
    if(k) {
      sprintf(b,"\nScan Code: 0x%x",k);
      Serial.print(b);
    }
    delay(500);
  }
}

